<?php

  function min2hour($minutes)
  {
      return sprintf('%02d:%02d', $minutes/60, $minutes%60);
  }

  function find_status()
  {
    global $dbh;

    $a = array();
    $query = "SELECT id,name FROM stempel_status ORDER BY id";
    $sth = pg_exec ($dbh, $query);

    while ($row = pg_fetch_array ($sth)) {
      $a[$row['id']] = $row['name'];
    }
    return $a;
  }

  function find_months()
  {
    global $dbh;

    $a = array();
    $query = "SELECT DISTINCT substr(cast(start AS TEXT),0,8) FROM stempel ORDER BY substr(cast(start AS TEXT),0,8) DESC";
    $sth = pg_exec ($dbh, $query);

    while ($row = pg_fetch_array ($sth)) {
      $a[] = $row[0];
    }
    return $a;
  }

  function load_customers()
  {
    global $dbh;
    $info = array();

    $sth = pg_exec ($dbh, 'SELECT short,name FROM stempel_customer');
    while ($row = pg_fetch_array ($sth))
      $info[$row['short']] = $row['name'];

    return $info;
  }

?>
